Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228293 - Review Request: gkrellm-moon - Moon clock plugin for GKrellM
Summary: Review Request: gkrellm-moon - Moon clock plugin for GKrellM
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-12 15:50 UTC by Matthias Saou
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 0.6-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-05 15:05:37 UTC
kevin: fedora-review+
jwboyer: fedora-cvs+


Attachments (Terms of Use)

Description Matthias Saou 2007-02-12 15:50:36 UTC
Spec URL: http://ftp.es6.freshrpms.net/tmp/extras/gkrellm-moon/
SRPM URL: http://ftp.es6.freshrpms.net/tmp/extras/gkrellm-moon/
Description: A moon clock plugin for GKrellM.

This is a pretty trivial package. Notes :
- The name "gkrellmoon" has been changed to be in the "gkrellm-*" namespace.
- No configure, so the Makefile's FLAGS have been (ab)used to pass our optflags.
- Explicit "gkrellm" requirement set because of the version it needs.
- The very similar "gkrellm-sun" package will also be submitted by itself.

Comment 1 Matthias Saou 2007-02-12 15:51:58 UTC
The gkrellm-sun package is bug #228294 in case someone wants to review both
packages at once and save testing time.

Comment 2 Kevin Fenzi 2007-02-14 04:05:52 UTC
OK - License (GPL)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
0e30da51526d68cbce146ea2bdd9b685  gkrellmoon-0.6.tar.gz
0e30da51526d68cbce146ea2bdd9b685  gkrellmoon-0.6.tar.gz.1
OK - BuildRequires correct
See below - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
See below - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane:

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version

Issues:

1. Default permissions are:
%defattr(-, root, root, 0755)
Is that needed, or can it be changed to:
%defattr(-, root, root, -)

2. Can you please use the one true build root(tm):

      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


Comment 3 Matthias Saou 2007-02-14 10:11:26 UTC
1. OK, it's changed to %defattr(-,root,root,-)
2. It's a matter of personal taste and a dislike of sticky futile exec()s :-)

gkrellm-moon-0.6-2.fc6.src.rpm and an updated spec file are available from the
same location.

Comment 4 Kevin Fenzi 2007-03-01 19:25:38 UTC
ok. Today FESCO ratified the buildroot proposal at: 
http://fedoraproject.org/wiki/PackagingDrafts/BuildRoot

The buildroot here meets those guidelines, so this package is APPROVED. 

Don't forget to close this once it's been imported and built. 


Comment 5 Matthias Saou 2007-03-02 18:34:14 UTC
New Package CVS Request
=======================
Package Name: gkrellm-moon
Short Description: Moon clock plugin for GKrellM
Owners: matthias@rpmforge.net
Branches: FC-5 FC-6 devel EL-4 EL-5
InitialCC: 

(I still don't have rights to set the fedora-cvs flag...)


Note You need to log in before you can comment on or make changes to this bug.